=== debian/control ===
Source: qt6-multimedia
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libasound2-dev [linux-any],
               libavcodec-dev,
               libavdevice-dev,
               libavfilter-dev,
               libavformat-dev,
               libavutil-dev,
               libeigen3-dev,
               libgl-dev,
               libgstreamer-plugins-bad1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer-plugins-good1.0-dev,
               libgstreamer1.0-dev,
               libopenal-dev,
               libpipewire-0.3-dev,
               libpulse-dev,
               libssl-dev,
               libswscale-dev,
               libva-dev [linux-any],
               libvulkan-dev [linux-any],
               libxcomposite-dev,
               libxext-dev,
               libxkbcommon-dev,
               libxrandr-dev,
               libxslt1-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.2~),
               qt6-declarative-dev (>= 6.9.2~),
               qt6-quick3d-dev (>= 6.9.2~),
               qt6-shadertools-dev (>= 6.9.2~),
               qt6-svg-dev (>= 6.9.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-multimedia.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-multimedia
Maintainer: Neon CI <neon@kde.org>

Package: qt6-multimedia
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ffmpeg,
         gstreamer1.0-alsa,
         gstreamer1.0-fdkaac,
         gstreamer1.0-libav,
         gstreamer1.0-plugins-base,
         gstreamer1.0-plugins-good,
         gstreamer1.0-plugins-ugly,
         gstreamer1.0-vaapi,
         qt6-base,
         qt6-declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libqt6multimedia6,
          libqt6multimediaquick6,
          libqt6multimediawidgets6,
          libqt6spatialaudio6,
          qml6-module-qtmultimedia,
          qml6-module-qtquick3d-spatialaudio
Description: Qt 6 Multimedia library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains a set of APIs to play and record media, and manage a
 collection of media content.

Package: qt6-multimedia-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: libglib2.0-dev,
         qt6-base-dev,
         qt6-multimedia (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: qt6-multimedia-doc-html, qt6-multimedia-examples
Description: Qt 6 Multimedia - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt applications
 using Qt Multimedia libraries.

Package: qt6-multimedia-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: qt6-base-doc, qt6-multimedia-dev, ${misc:Depends}, ${shlibs:Depends}
Replaces: qt6-multimedia-doc-html
Description: Qt 6 Multimedia - documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files to help build Qt applications
 using the Qt Multimedia libraries.

Package: libqt6multimedia6
Architecture: all
Depends: qt6-multimedia, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6multimediaquick6
Architecture: all
Depends: qt6-multimedia, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6multimediawidgets6
Architecture: all
Depends: qt6-multimedia, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6spatialaudio6
Architecture: all
Depends: qt6-multimedia, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtmultimedia
Architecture: all
Depends: qt6-multimedia, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick3d-spatialaudio
Architecture: all
Depends: qt6-multimedia, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-multimedia-doc-html
Architecture: all
Depends: qt6-multimedia-doc, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-multimedia-examples
Architecture: all
Depends: qt6-multimedia-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
