=== debian/control ===
--- 
+++ 
@@ -31,12 +31,13 @@
                mold,
                ninja-build,
                pkg-kde-tools,
+               pkg-kde-tools-neon,
                pkgconf,
-               qt6-base-dev (>= 6.9.2~),
-               qt6-declarative-dev (>= 6.9.2~),
-               qt6-quick3d-dev (>= 6.9.2~),
-               qt6-shadertools-dev (>= 6.9.2~),
-               qt6-svg-dev (>= 6.9.2~),
+               qt6-base-dev (>= 6.9.3~),
+               qt6-declarative-dev (>= 6.9.3~),
+               qt6-quick3d-dev (>= 6.9.3~),
+               qt6-shadertools-dev (>= 6.9.3~),
+               qt6-svg-dev (>= 6.9.3~),
                xauth <!nocheck>,
                xvfb <!nocheck>
 Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
