=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
 		-DCMAKE_INTERPROCEDURAL_OPTIMIZATION=ON \
 		-DDYNAMIC_RESOLVE_VAAPI_SYMBOLS=OFF \
+		-DQT_NO_PRIVATE_MODULE_WARNING=ON \
 		-DQT_UNITY_BUILD=ON \
 		$(cmake_extra_args)
